//
// PublisherSignUpRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct PublisherSignUpRequest: Codable, JSONEncodable, Hashable {

    public var email: String?
    public var password: String?
    public var confirmedPassword: String?
    public var name: String?
    public var website: String?
    public var logo: String?

    public init(email: String? = nil, password: String? = nil, confirmedPassword: String? = nil, name: String? = nil, website: String? = nil, logo: String? = nil) {
        self.email = email
        self.password = password
        self.confirmedPassword = confirmedPassword
        self.name = name
        self.website = website
        self.logo = logo
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case email
        case password
        case confirmedPassword
        case name
        case website
        case logo
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(email, forKey: .email)
        try container.encodeIfPresent(password, forKey: .password)
        try container.encodeIfPresent(confirmedPassword, forKey: .confirmedPassword)
        try container.encodeIfPresent(name, forKey: .name)
        try container.encodeIfPresent(website, forKey: .website)
        try container.encodeIfPresent(logo, forKey: .logo)
    }
}

